---
- name: "Afficher version IOS"
  gather_facts: no
  hosts: routers
  tasks:

    - name: "Lire les facts du routeurs"
      ios_facts:
        gather_subset: "!config"
      register: router_facts
    
    - name: "Afficher tous les facts que Ansible a decouvert pour ce router"
      debug:
        var: router_facts

    - name: "Afficher l'OS et la version"
      debug:
        msg: "Ce routeur roule {{ router_facts.ansible_facts.ansible_net_iostype }} version {{ router_facts.ansible_facts.ansible_net_version }}"
